Subject: Git Plugin: Semantic Versioning

From: Mark Challoner <[email-masked]>
Date: Fri, 24 Jul 2015 15:44:45 +0100

Hi all,

First off apologies for the spam, but I thought it may be useful for a 
few git users out there.

I have put together a git plugin for easy Semantic Versioning 
(http://semver.org). It comes with its own plugin architecture to allow 
you to check project files have been updated with correct version number 
before applying a version tag (e.g. Android manifest, Apps Engine 
app.yaml etc.)

The project, install instructions etc. can be found here:

https://github.com/markchalloner/git-semver#readme

I have tested on Windows (MinGW) and Linux (Ubuntu 12.04) and in theory 
should work on OSX (maybe some kind user could test for me?)

I hope its of some use.

Regards
Mark